<div class="row justify-content-center">
    <div class="col-8">
        <form name="editForm" role="form" novalidate (ngSubmit)="save()" [formGroup]="editForm">
            <h2 id="jhi-asistencia-heading" jhiTranslate="pp2OscarApp.asistencia.home.createOrEditLabel">Create or edit a Asistencia</h2>

            <div>
                <jhi-alert-error></jhi-alert-error>

                <div class="form-group" [hidden]="!editForm.get('id')!.value">
                    <label for="id" jhiTranslate="global.field.id">ID</label>
                    <input type="text" class="form-control" id="id" name="id" formControlName="id" readonly />
                </div>

                <div class="form-group">
                    <label class="form-control-label" jhiTranslate="pp2OscarApp.asistencia.metodoPago" for="field_metodoPago">Metodo Pago</label>
                    <input type="number" class="form-control" name="metodoPago" id="field_metodoPago"
                           formControlName="metodoPago"/>
                </div>

                <div class="form-group">
                    <label class="form-control-label" jhiTranslate="pp2OscarApp.asistencia.usuaroId" for="field_usuaroId">Usuaro Id</label>
                    <input type="number" class="form-control" name="usuaroId" id="field_usuaroId"
                           formControlName="usuaroId"/>
                </div>

                <div class="form-group">
                    <label class="form-control-label" jhiTranslate="pp2OscarApp.asistencia.eventoId" for="field_eventoId">Evento Id</label>
                    <input type="number" class="form-control" name="eventoId" id="field_eventoId"
                           formControlName="eventoId"/>
                </div>
            </div>

            <div>
                <button type="button" id="cancel-save" class="btn btn-secondary" (click)="previousState()">
                    <fa-icon icon="ban"></fa-icon>&nbsp;<span jhiTranslate="entity.action.cancel">Cancel</span>
                </button>

                <button type="submit" id="save-entity" [disabled]="editForm.invalid || isSaving" class="btn btn-primary">
                    <fa-icon icon="save"></fa-icon>&nbsp;<span jhiTranslate="entity.action.save">Save</span>
                </button>
            </div>
        </form>
    </div>
</div>
